local vector2 = require("#microsoft.xna.framework.vector2")

function onBegin()
    disableMovement()
    player.ForceCameraUpdate = true
	engine.Scene:add(coroutineEntity)
    local luanet = _G.luanet
    player.Facing = luanet.enum(luanet.import_type("Celeste.Facings"), "Left")
	instantTeleportTo(1100,948,basement_elevator_arrival,WakeUp)
end

function onEnd()
    player.ForceCameraUpdate = false
    enableMovement()
end